/*--------------------------------------------------------------------------------//
/* INIT
/*--------------------------------------------------------------------------------*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,400;0,500;0,600;0,700;0,900;1,100;1,400;1,500;1,900&display=swap');

:root
{
  --bg_body: #211c29;
  --bg_palette_1: #632d53;
  --text-color-white: #e9eaf3;

  --topmenu-margin-factor: 2em;

  --topmenu-height-gutter: 4em;
  --topmenu-height-gutter-negative: -4em;
  --container-max-width: 1920px;
  --subcontainer-max-width: 1280px;
}

ul
{
  list-style-type: none;
}

html
{
  /*background-color: #080808!important;*/
  background-color: var(--bg_body)!important;
}

body
{
  background: none;
  font-family: 'Montserrat', sans-serif;
  overflow-x: hidden;
  max-width: 1920px;
}

html, body
{
  padding: 0;
  margin: 0 auto;
  height: 100%;
}

a:link,
a:hover
{
  transition: 0.2s;
}

.blockSelection
{
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.blockInteraction
{
  pointer-events: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

/*--------------------------------------------------------------------------------//
/* DEBUG
/*--------------------------------------------------------------------------------*/

.mockup
{
  background: url(../../src/img/mockup.png);
  background-size: cover;
  background-repeat: no-repeat;
  width: 1280px;
  height: inherit;
  margin: 0 auto;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
}

.mockup--image
{
  background-color: black;
  margin: 0 auto;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  z-index: -1;
  width: 1280px;
  opacity: 0;
  display: none;
}

/*--------------------------------------------------------------------------------//
/* DEBUG
/*--------------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------------//
/* UTILS
/*--------------------------------------------------------------------------------*/

.empty-flex
{
  flex: 1 1 100%;
}

/*--------------------------------------------------------------------------------//
/* ELEMENTS
/*--------------------------------------------------------------------------------*/

div.container
{
  /* background-color: blue; */
  max-width: 1280px;
  /* height: calc(35em + 4em); */
  height: 100%;
  margin-left: auto!important;
  margin-right: auto!important;
  position: relative;
}

section.wrapper
{
  position: relative;
}

section#hero
{
  /* background: black; */
  height: 100dvh;
  /* max-height: 792px; */
  /* max-height: 50em; */
  /* max-height: 920px; */
  max-height: 1080px;
  margin-bottom: 8em;
  /* margin-top: var(--topmenu-height-gutter-negative); */
  overflow: hidden;
  /* container: sidebar / inline-size; */
  margin-top: var(--topmenu-height-gutter);
}

/* PRIMARY BUTTON */

.btn--sm,
.btn--lg
{
  font-weight: bold;
  border: 0;
  position: relative;
}

.btn--sm
{
  font-size: 1.15em;
  padding: 0.35em 1em;
}

.btn--lg
{
  font-size: 1.75em;
  padding: 0.35em 1em;
}

.btn--sm::before,
.btn--lg::before
{
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  border-radius: 3em;
  z-index: -1;
  /*background: rgb(212 43 213 / 75%);*/
  background: #af2262;
  animation-name: ButtonAnimSlideBGFromLeftClose;
  /*animation-name: ButtonAnimExpandClose;*/
  animation-duration: 0.5s;
  animation-direction: normal;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  opacity: 1;
}

.btn--sm::after,
.btn--lg::after
{
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  display: block;
  top: 0;
  left: 0;
  border-radius: 2em;
  z-index: -1;
  background: blue;
  box-shadow: 0px 3px 6px 13px transparent;
}

.btn--sm:hover::before,
.btn--lg:hover::before
{
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  border-radius: 2em;
  z-index: -1;
  background: #af2262;
  background: linear-gradient(-145deg, #a21cd7 25%, #9d2f7b 55%);
  /*animation-name: ButtonAnimExpand;*/
  animation-name: ButtonAnimSlideBGFromLeft;
  animation-duration: 0.35s;
  animation-direction: normal;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes ButtonAnimExpand
{
  from
  {
    scale: 0;
  }

  to
  {
    scale: 1;
  }
}

@keyframes ButtonAnimExpand
{
  from
  {
    opacity: 0;
    scale: 0;
  }

  to
  {
    scale: 1;
    opacity: 1;
  }
}

@keyframes ButtonAnimExpandClose
{
  from
  {
    scale: 1;
    opacity: 1;
  }
  
  to
  {
    opacity: 0;
    scale: 0;
  }
}

@keyframes ButtonAnimSlideBGFromRight
{
  from
  {
    left: 8em;
  }

  to
  {
    left: 0;
  }
}

@keyframes ButtonAnimSlideBGFromLeft
{
  from
  {
    right: 8em;
  }

  to
  {
    right: 0;
  }
}

@keyframes ButtonAnimSlideBGFromLeftClose
{
  from
  {
    left: 0;
  }

  to
  {
    left: 8em;
    opacity: 0;
  }
}

@keyframes ButtonAnimSlideBGFromLeftCloseWithShine
{
  0%
  {
    left: 0;
  }

  50%
  {
    left: 8em;
  }

  100%
  {
    left: 8em;
    opacity: 0;
  }
}

.button-container--sm
{
  position: relative;
  border-radius: 3em;
  display: inline-flex;
  width: 15em;
  height: 4em;
  justify-content: center;
  align-items: center;
}

.button-container--lg
{
  /* background: #000000; */
  position: relative;
  border-radius: 3em;
  display: inline-flex;
  width: 15em;
  height: 4em;
  justify-content: center;
  align-items: center;
}

.btn-primary--sm,
.btn-primary--lg
{
  border-radius: 2em;
  background: transparent;
  transition: 0.2s;
  background-color: #f34141;
  background: linear-gradient(45deg, #f34141 50%, #f15d6a 90%);
  position: absolute;
  /*scale: 1;*/
  scale: 0.96;
  z-index: 1;
  box-shadow: 0px 3px 4px 0px transparent;
}

.btn-primary--sm:hover,
.btn-primary--lg:hover
{
  transition: 0.2s;
  /*scale: 0.96;*/
  scale: 1;
  background-color: #ff5757;
  box-shadow: 0px 0px 4px 2px rgb(0 0 0 / 25%);
}

.button-container--alpha .btn
{
  background: transparent!important;
}

/**/

.btn > .btn--icon > i
{
  border-radius: 12px;
  background: linear-gradient(to bottom, #803137, #e94651);
  -webkit-box-shadow: 0px 8px 7px 0px #693034;
  -moz-box-shadow: 0px 8px 0px 0px #693034;
  box-shadow: 0px 8px 0px 0px #693034;
}

/*--------------------------------------------------------------------------------//
/* HEADER
/*--------------------------------------------------------------------------------*/

.header__menu
{
  width: 100%;
  left: 0;
  right: 0;
  margin: 0 auto;
  max-width: var(--container-max-width);
  max-height: var(
  --topmenu-height-gutter);
  position: fixed;
  z-index: 7;
  /* background: orange; */
}

.header__menu::after
{
  content: '';
  display: block;
  width: 100%;
  height: var(--topmenu-height-gutter); /* bg topmenu */
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  background: #672e48;
  /* background: linear-gradient(to left, #672e48 60%, transparent 100%); */
  position: absolute;
  z-index: 0;
}

/*.header__menuitem
{
  height: 100%;
  width: 100%;
  max-width: 1280px;
}

.header__menuitem--link
{
  padding: 1em;
  font-weight: 600;
  text-decoration: none;
  color: white;
  text-transform: uppercase;
}


.header__menuitem--link:hover
{
  color: #e3666e;
  background: rgb(18 10 14 / 50%);

  animation-name: ButtonAnimSlideBGFromLeft;
  animation-duration: 0.35s;
  animation-direction: normal;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}*/

.header__menuitem--link
{
  /* background: black; */
  width: auto;
}

.header__menuitem--link .btn
{
  /* background: black!important; */
  border-radius: 0!important;
  padding: 0 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  max-height: 4em;
  top: 0;
  scale: 1;
  position: relative;
}

.header__menuitem--link .btn::before
{
  border-radius: 0!important;
}

.hero__container
{
  position: absolute;
  /* padding: calc(var(--topmenu-height-gutter) + var(--topmenu-margin-factor) + var(--topmenu-margin-factor)) calc(var(--topmenu-margin-factor) * 4) calc(var(--topmenu-margin-factor) * 2) calc(var(--topmenu-margin-factor) * 4); */
  padding-top: var(--topmenu-height-gutter) + var(--topmenu-margin-factor) + var(--topmenu-margin-factor);
  padding-bottom: calc(var(--topmenu-margin-factor) * 2);
  padding-left: calc(var(--topmenu-margin-factor) * 4);
  padding-right: calc(var(--topmenu-margin-factor) * 4);
  top: 0;
  left: 50%;
  right: 0;
  margin: 0 auto;
  transform: translateX(-50%);
  height: 100%;
  height:
  -webkit-fill-available!important;
  /* width: calc(100dvw - 14px); */
  /* width: calc(100dvw - 12px); */
  margin: 0 auto;
  width: 100vw;
  max-width: var(
  --container-max-width);
  /* background-color: navy; */
}

.hero__container--ImageElement
.hero__container--ImageElement
{
  background-color: navy;
  width: min-content!important;
  max-width: 620px;
}

.heroContainer__imageElements__imgElement
{
  /* background-color: black; */
}

@container heroSection (min-width: var(--container-max-width))
{
  .hero__container
  {
    background-color: navy;
  }
}

.hero__container--ImageElement > div:nth-child(2)
{
  /* position: absolute; */
  top: auto;
  bottom: 0;
  left: 0;
  right: auto;
  width: 317px;
  height: 448px;
  clip-path: polygon(0 -13%, 0% 100%, 100% 100%);
  z-index: -1;
}

.hero__container--ImageElement > div:nth-child(1)
{
  position: absolute;
  /* top: auto; */
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: var(--container-max-width);
  height: 100%;
  /* clip-path: polygon(0% 0, 100% 0, 100% 100%, 20% 100%); */
  z-index: 0;
  background-color: #288154;
}

.hero__container--ImageElement > div:nth-child(3)
{
  /* position: absolute; */
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 500px;
  /* max-width: 1em; */
  height: 100%;
  clip-path: polygon(1% 0, 100% 0, 100% 100%, 30% 100%);
  z-index: -1;
}

.hero__container--contentGrid
{
  font-weight: normal;
  /* max-width: calc(100% - (2 * var(--topmenu-height-gutter))); */
  max-width: var(--container-max-width);
  /* width: 590px; */
  color: white;
  /* height: 27em; */
  padding: 0;
  margin-top: calc(var(--topmenu-height-gutter-negative) * 2);
  /* background: #1a274f; */
  padding-top: var(--topmenu-height-gutter);
}

.heroContainer__imageElements
{
  background-color: blue;
}

/*.heroContainer__imageElements > img[data-id="1"]*/
.heroContainer__imageElements > img
{
  position: absolute;
  bottom: 0;
  left: 0;
  transition: transform .2s ease-in-out;
  animation: MoveAndFaderImage infinite forwards 40s 3s linear, MoveAndFaderImage infinite forwards 40s 0.5s linear;
  opacity: 0;
  z-index: -1;
}

.heroContainer__targetBackground > div:first-child
{
  background: url(../../src/img/hero_image_alphablue_a_BG.webp), black;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  position: absolute;
  bottom: 0;
  left: 0;
  width: calc(100% + 20em);
  height: 100%;
  transition: transform .2s ease-in-out;
  animation: MoveAndColorBackground infinite forwards reverse 40s 3s linear, MoveAndColorBackground infinite forwards reverse 40s 0.5s linear;
  /*animation: MoveAndColorBackground infinite forwards reverse 30s 3s linear, MoveAndColorBackground infinite forwards reverse 30s 0.5s linear;*/
  z-index: -1;
  filter: contrast(2) blur(32px);
  animation-iteration-count: infinite;
}

.heroContainer__targetBackground > div:nth-child(2)
{
  /* background-color: #114b83; */
  background: rgb(17 75 131 / 75%);
  opacity: 0.5;
  position: absolute;
  bottom: 0;
  left: 0;
  /* width: calc(100% + 20em); */
  width: 100%;
  height: 100%;
  z-index: -1;
  filter: brightness(1);
}

/*.heroContainer__targetBackground > img
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: transform .5s ease-in-out;
  animation: BackgroundImageMove infinite forwards reverse 60s 0s linear;
}*/

@keyframes MoveAndFaderImage
{
  0%
  {
    opacity: 0;
    transform: translate3d(-15em, 0, 0);
  }

  5%, 95%
  {
    opacity: 1;
  }

  100%
  {
    opacity: 0;
    transform: translate3d(-2em,0,0);
  }
}

@keyframes MoveAndColorBackground
{
  0%
  {
    scale: 1;
    transition: 0.2s;
    filter: brightness(1) saturation(0.5);
    opacity: 0;
    transform: translate3d(-15em, 0, 0);
  }

  25%
  {
    transition: 0.5s;
    opacity: 1;
  }

  50%
  {
    scale: 3;
    transition: 0.2s;
    opacity: 0.5;
    transform: translate3d(-2em,0,0);
  }

  95%
  {
    scale: 2;
    transition: 0.2s;
    opacity: 1; 
  }

  100%
  {
    scale: 1;
    transition: 0.2s;
    opacity: 0;
    transform: translate3d(-2em,0,0);
  }
}

@keyframes MoveBG
{
  from
  {
    transform: translate3d(-15em, 0, 0);
  }

  to
  {
    transform: translate3d(-2em,0,0);
  }
}

.hero__container--contentGrid > .contentGrid__cover
{
  background-color: blue;
}

.hero__container--contentGrid > .contentGrid__contentText
{
  /* flex: 1 0 590px; */
  flex: 1 0 calc(50%);
  height: 100%;
  border-radius: 6em;
  /* padding: 2em; */
  /* background-color: blue; */
  padding-top: 3em;
  /* justify-content: center; */
  align-content: flex-end;
  justify-content: flex-start;
  flex-wrap: wrap;
}


.hero__container--contentGrid .logo
{
  min-height: 140px;
  height: auto;
  width: auto;
  max-width: 320px;
}

.contentGrid__contentText--leadInfo
{
  /* font-size: 1.25em; */
  font-size: 1.75em;
  /* background: mediumslateblue; */
}

.contentGrid__contentText--leadInfo > p
{
  /* background: firebrick; */
  text-align: right;
  text-align-last: right;
  align-self: end;
  margin-bottom: 2em;
}

section#header
{
  height: var(--topmenu-height-gutter);
}

/*--------------------------------------------------------------------------------//
/* SECTIONS
/*--------------------------------------------------------------------------------*/

.aboutus__container > div:nth-child(2)
{
  flex: 1 0 6em;
  /* background: blue; */
}

.aboutus__container
{
  /* background-color: blue; */
  color: var(--text-color-white);
  width: calc(100% - 6em);
  height: 700px;
}

section[data-order="2"]
{
  margin-top: -10em;
  z-index: 1;
  /* scale: 1.1; */
}

div[data-variant="right"] .aboutus__container
{
   flex-direction: row-reverse;
}

.aboutus--content
{
  /* background-color: orange; */
  font-size: 2em;
  font-family: "Montserrat";
  color: var(--text-color-white);
  font-weight: 400;
  font-style: italic;
  line-height: 1.15;
  /* text-align: left; */
  text-align: justify;
  text-align-last: left;
}

div[data-variant="right"] .aboutus__container .aboutus--content
{
  text-align-last: right;
}

.section__bgshape
{
  content: '';
  position: absolute;
  width: calc(100% + 50em);
  height: calc(100% - 6em);
  border-radius: 5em;
  top: 0;
  bottom: 0;
  margin-top: var(--topmenu-height-gutter);
  margin-bottom: auto;
}

.section__bgshape--left
{
  left: 0;
  transform: skew(0, 7deg);
  margin-left: -50em;
  background: #c93f48;
}

.section__bgshape--right
{
  right: 0;
  transform: scaleX(-1) skew(0, 7deg);
  margin-right: -50em;
  background: #3e1b4d;
}

.section__bgshape--topoffset
{
  margin-top: 1em;
}

/* Z-INDEX */
div:nth-of-type(1) .section__bgshape
{
  z-index: -10;
}

div:nth-of-type(1) .aboutus--image img
{
  z-index: -9;
}

div:nth-of-type(2) .section__bgshape
{
  z-index: -8;
}

div:nth-of-type(2) .aboutus--image img
{
  z-index: -7;
}
/* Z-INDEX */

.aboutus--image img
{
  position: absolute;
}

.aboutus--image
{
  flex: 1 0 520px;
  width: 520px;
}

.section__title
{
  font-size: 2.5em;
  height: 2.5em;
  background: #563f6e;
  display: flex;
  align-items: center;
  padding: 0 1em;
  font-weight: bold!important;
  margin-bottom: 1em;
}

.section__title > h1
{
  color: var(--text-color-white);
  font-weight: 700;
}

div[data-variant="right"] .section__title
{
  font-size: 2.5em;
  height: 2.5em;
  background: #563f6e;
  display: flex;
  align-items: center;
}

div[data-variant="right"] .section__title
{
  align-items: center;
  justify-content: flex-end;
  margin-left: -20em;
  margin-right: 12em;
  border-top-right-radius: 0.75em;
  border-bottom-right-radius: 0.75em;
}

div[data-variant="left"] .section__title
{
  font-size: 1.5em;
  height: 3.5em;
  background: #563f6e;
  display: flex;
  align-items: center;
  border-top-left-radius: 1em;
  border-bottom-left-radius: 1em;
  margin-right: -20em;
  margin-left: 12em;
  user-select: none;
}

section#hero::before
{
  content: '';
  position: absolute;
  width: 100%;
  height: 100vmax;
  max-width: 1280px;
  border: 1px solid yellow;
  margin: 0 auto;
  z-index: 999999;
  display: none;
}

/**/

body .hero
{
  position: fixed;
  z-index: 1;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 170vh;
  width: 100vw;
  background: black;
}

body .hero:before
{
  content: '';
  height: 100%;
  width: 100%;
  height: 170vh;
  width: 100vw;
  background: rgba(44, 123, 183, 0.5);
  position: absolute;
}

body .hero h1,
body .hero .hero__container

{
  position: relative;
  z-index: 1;
  margin: 0;
  /*margin: 30vh auto 0;*/
}

body .content
{
  position: absolute;
  z-index: 2;
  top: 100vh;
  height: auto;
  width: 100vw;
  background: var(--bg_body);
  padding-top: 5em;
  /* box-shadow: 0px -20px 20px 0px rgb(0 0 0 / 25%); */
}

body .hero__container--shadow
{
  position: absolute;
  width: 100vw;
  /* height: 20em; */
  height: 4em;
  max-height: initial;
  background: linear-gradient(0deg, #0f0d12, transparent);
  margin: 0 auto;
  z-index: 999999;
  bottom: 0;
}

.hero__container--wishlistButton
{
  /* background-color: black; */
  position: absolute;
  top: var(--topmenu-height-gutter);
  left: var(--topmenu-height-gutter);
}